# atlcloudjira\_customfield (Resource)

## Example Usage

```terraform
import {
  to = atlcloudjira_customfield.SampleCustomFieldResource
  id = "customfield_10210"
}

# __generated__ by Terraform
# Please review these resources and move them into your main configuration files.

# __generated__ by Terraform from "customfield_10046"
resource "atlcloudjira_customfield" "SampleCustomFieldResource" {
  name         = "Change reasoner"
  description  = "Lorem ipsum."
  searcher_key = "com.atlassian.jira.plugin.system.customfieldtypes:grouppickersearcher"
  type         = "com.atlassian.jira.plugin.system.customfieldtypes:grouppicker"
}
```

## Schema

### Required

* `name` (String) The name of the field.
* `type` (String) The type of the custom field. These built-in custom field types are available in Atlassian documentation.

### Optional

* `description` (String) The description of the custom field, which is displayed in Jira.
* `searcher_key` (String) The searcher that defines the way the field is searched in Jira. It can be set to null, otherwise you must specify the valid searcher for the field type, as listed in Atlassian documentation.

### Read-Only

* `id` (String) The ID of the field.
* `last_updated` (String) Timestamp of the last Terraform update of the Custom Field.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.silessian.com/planapply-for-jira-cloud/terraform-provider-for-jira-cloud/terraform-provider-for-jira-cloud/atlcloudjira_customfield-resource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
